Get configuration information about the cache

- « opcache_compile_file

- opcache_get_status »

- PHP Manual
- OPcache Functions
- Get configuration information about the cache

# opcache_get_configuration

(PHP 5 >= 5.5.0, PHP 7, PHP 8, PECL ZendOpcache > 7.0.2)

opcache_get_configuration — Get configuration information about the cache

### Description

opcache_get_configuration(): array|false

This function returns configuration information about the cache instance

### Parameters

This function has no parameters.

### Return Values

Returns an array of information, including ini, blacklist and version

### Errors/Exceptions

If `opcache.restrict_api` is in use and the current path is in violation of the rule, an E_WARNING will be raised; no status information will be returned.

### See Also

- opcache_get_status() - Get status information about the cache